Log a balance rollover

This request creates a balance rollover on a line of credit account.

   Click here to learn more about this request

A balance rollover is a transaction type available for line of credit accounts. Here are some things to note about balance rollovers:

There are multiple balance rollover scenarios. A balance rollover works by transferring the balance of a line of credit account to an installment loan. When a rollover is initiated, the destination can either be an existing loan account or a new one. This decision will affect how the balance is transferred and how the payload is built.

Logging a balance transfer creates a link between the two accounts. The information for a newly created link is stored within the LineOfCreditAccountLinking object.

The installment loan account must already exist. Before a balance rollover can occur, the destination of the balance must already exist. For information regarding creating installment loans, see Create New Loan

Balance rollovers use advancements to add the balance to an installment loan. The line of credit account's balance will be reduced while the loan account's principal balance will increase.

Once accounts are linked together, payments can be split between the accounts. Take a look at our Payment waterfall application – line of credit article to learn more.

Balance Rollover Scenarios

Here are step-by-step breakdowns on building the payload for your balance rollover scenario:


Database

For information regarding balance rollover database tables, see the following articles:

{
    "description": "Roll balance into installment loan",
    "applyDate": "2024-01-31",
    "accountLinkingId": null,
    "destinationAlreadyExists": 1,
    "linkedEntityType": "Entity.Loan",
    "linkedEntityId": 24224,
    "mainEntityType": "Entity.LineOfCredit",
    "mainEntityId": 685,
    "advancementCategoryId": 1,
    "sourceBucketBreakdown": [
        {
            "bucketId": 1,
            "amount": 500.00
        },
        {
            "bucketId": 2,
            "amount": 0
        }
    ]
}
{
    "description": "Roll balance into installment loan",
    "applyDate": "2024-01-18",
    "accountLinkingId": 11,
    "destinationAlreadyExists": 1,
    "linkedEntityType": "Entity.Loan",
    "linkedEntityId": 11767,
    "mainEntityType": "Entity.LineOfCredit",
    "mainEntityId": 52,
    "advancementCategoryId": 1,
    "sourceBucketBreakdown": [
        {
            "bucketId": 1,
            "amount": 300.00
        },
        {
            "bucketId": 2,
            "amount": 0
        }
    ]
}
Body Params
string
required

A string used to describe the balance rollover
> Limited to 255 characters.

date
required

The date on which the balance rollover will apply.
> Formatted as YYYY-MM-DD

int32
required

The ID of the linking relationship between the two accounts.
This field is only applicable when logging a balance transfer between accounts that have already been linked.
> If a link does not exist, set this field as null.

int32
required

Determines whether the destination account already exists.
> When creating a new destination account, set this field to 0.
> When using an existing destination account, set this field to 1.

string
enum
required
Defaults to Entity.Loan

The type of the destination account.

Allowed:
int32
required

The ID of the destination account.

string
enum
required
Defaults to Entity.LineOfCredit

The type of the originating account from which the balance is being transferred.

Allowed:
int32
required

The ID of the originating account.

int32
required

The ID of the category to which the advancement is assigned, if an advancement is used to transfer the balance.

sourceBucketBreakdown
array of objects
required

This array holds a breakdown of how bucket balances apply to the balance rollover.

sourceBucketBreakdown*
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json